From 3aca1361a007f83c7d4778545c8ec6eaabf13079 Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Mon, 9 Apr 2012 13:56:59 -0500
Subject: [PATCH] Removed unused private fields.

Most of unused private fields have been removed because they generate
warnings in Eclipse. Some are kept because it might be useful later.

Ticket #139
---
 base/ca/src/com/netscape/ca/CMSCRLExtensions.java  |    3 +-
 base/ca/src/com/netscape/ca/CRLIssuingPoint.java   |   11 ++----
 base/ca/src/com/netscape/ca/SigningUnit.java       |    3 +-
 .../src/com/netscape/certsrv/base/ASubsystem.java  |    1 +
 .../netscape/certsrv/request/ARequestNotifier.java |    1 -
 .../netscape/cms/authentication/AVAPattern.java    |    2 -
 .../authentication/AgentCertAuthentication.java    |    5 ---
 .../cms/authentication/HashAuthentication.java     |    7 +---
 .../SSLclientCertAuthentication.java               |    6 ---
 .../cms/authentication/TokenAuthentication.java    |    7 ----
 .../authentication/UidPwdPinDirAuthentication.java |    3 --
 .../netscape/cms/authorization/BasicAclAuthz.java  |    6 +---
 .../cms/evaluators/UserOrigReqAccessEvaluator.java |    2 -
 .../netscape/cms/jobs/RenewalNotificationJob.java  |    1 -
 .../netscape/cms/listeners/PinRemovalListener.java |    4 --
 .../src/com/netscape/cms/logging/LogFile.java      |    2 -
 .../com/netscape/cms/logging/RollingLogFile.java   |   10 +-----
 .../src/com/netscape/cms/ocsp/LDAPStore.java       |    1 -
 .../constraints/AttributePresentConstraints.java   |    7 ----
 .../cms/policy/extensions/PresenceExt.java         |    3 +-
 .../cms/profile/constraint/ValidityConstraint.java |    3 --
 .../profile/def/InhibitAnyPolicyExtDefault.java    |    1 -
 .../cms/profile/updater/SubsystemGroupUpdater.java |   11 +-----
 .../netscape/cms/publish/mappers/AVAPattern.java   |    6 ---
 .../cms/publish/mappers/MapAVAPattern.java         |    1 -
 .../publish/publishers/LdapCaCertPublisher.java    |    1 -
 .../publishers/LdapEncryptCertPublisher.java       |    2 -
 .../cms/servlet/admin/ACLAdminServlet.java         |   11 ------
 .../netscape/cms/servlet/admin/AdminServlet.java   |    1 -
 .../cms/servlet/admin/AuthAdminServlet.java        |    1 -
 .../cms/servlet/admin/CMSAdminServlet.java         |    2 -
 .../cms/servlet/admin/JobsAdminServlet.java        |    1 -
 .../cms/servlet/admin/LogAdminServlet.java         |    5 ---
 .../cms/servlet/admin/ProfileAdminServlet.java     |    7 ----
 .../cms/servlet/admin/PublisherAdminServlet.java   |    5 ---
 .../cms/servlet/admin/RegistryAdminServlet.java    |    8 -----
 .../com/netscape/cms/servlet/base/CMSServlet.java  |    1 -
 .../cms/servlet/base/DynamicVariablesServlet.java  |    7 ++--
 .../netscape/cms/servlet/base/IndexServlet.java    |    8 -----
 .../netscape/cms/servlet/base/PortsServlet.java    |    1 -
 .../netscape/cms/servlet/cert/DisplayBySerial.java |    1 -
 .../com/netscape/cms/servlet/cert/DisplayCRL.java  |    1 -
 .../com/netscape/cms/servlet/cert/DoRevoke.java    |    3 +-
 .../com/netscape/cms/servlet/cert/DoRevokeTPS.java |    3 +-
 .../com/netscape/cms/servlet/cert/DoUnrevoke.java  |    6 ++--
 .../netscape/cms/servlet/cert/DoUnrevokeTPS.java   |    9 ++---
 .../netscape/cms/servlet/cert/EnrollServlet.java   |    4 +-
 .../com/netscape/cms/servlet/cert/GetBySerial.java |    2 -
 .../src/com/netscape/cms/servlet/cert/GetInfo.java |    4 --
 .../cms/servlet/cert/HashEnrollServlet.java        |   25 +++++---------
 .../src/com/netscape/cms/servlet/cert/Monitor.java |    1 -
 .../cms/servlet/cert/RemoteAuthConfig.java         |    1 -
 .../com/netscape/cms/servlet/cert/SrchCerts.java   |    3 --
 .../com/netscape/cms/servlet/cert/UpdateCRL.java   |    1 -
 .../com/netscape/cms/servlet/cert/UpdateDir.java   |    1 -
 .../cms/servlet/cert/scep/CRSEnrollment.java       |    6 ++--
 .../netscape/cms/servlet/common/CMSFileLoader.java |    1 +
 .../netscape/cms/servlet/common/CMSGateway.java    |    1 -
 .../netscape/cms/servlet/common/CMSTemplate.java   |   11 ------
 .../cms/servlet/common/IndexTemplateFiller.java    |    3 --
 .../cms/servlet/connector/ConnectorServlet.java    |    2 -
 .../cms/servlet/csadmin/CertRequestPanel.java      |    4 ++-
 .../cms/servlet/csadmin/CheckIdentity.java         |    1 -
 .../cms/servlet/csadmin/DownloadPKCS12.java        |    2 -
 .../netscape/cms/servlet/csadmin/GetCertChain.java |    1 -
 .../netscape/cms/servlet/csadmin/GetCookie.java    |    1 -
 .../netscape/cms/servlet/csadmin/GetStatus.java    |    2 -
 .../cms/servlet/csadmin/GetSubsystemCert.java      |    1 -
 .../netscape/cms/servlet/csadmin/GetTokenInfo.java |    1 -
 .../cms/servlet/csadmin/GetTransportCert.java      |    1 -
 .../cms/servlet/csadmin/ImportTransportCert.java   |    1 -
 .../cms/servlet/csadmin/MainPageServlet.java       |    2 -
 .../netscape/cms/servlet/csadmin/RegisterUser.java |    1 -
 .../cms/servlet/csadmin/TokenAuthenticate.java     |    1 -
 .../cms/servlet/csadmin/UpdateConnector.java       |    1 -
 .../cms/servlet/csadmin/UpdateNumberRange.java     |    1 -
 .../cms/servlet/csadmin/UpdateOCSPConfig.java      |    1 -
 .../netscape/cms/servlet/key/ExamineRecovery.java  |   10 ------
 .../cms/servlet/key/GetApprovalStatus.java         |    3 --
 .../com/netscape/cms/servlet/key/GetAsyncPk12.java |    2 -
 .../src/com/netscape/cms/servlet/key/GetPk12.java  |    2 -
 .../cms/servlet/key/GrantAsyncRecovery.java        |    7 ----
 .../netscape/cms/servlet/key/GrantRecovery.java    |    9 -----
 .../netscape/cms/servlet/key/RecoverBySerial.java  |    1 -
 .../cms/servlet/key/SrchKeyForRecovery.java        |    1 -
 .../cms/servlet/processors/CRMFProcessor.java      |    1 +
 .../cms/servlet/profile/ProfileListServlet.java    |    5 ---
 .../cms/servlet/profile/ProfileServlet.java        |    2 -
 .../servlet/profile/ProfileSubmitCMCServlet.java   |   13 --------
 .../cms/servlet/profile/ProfileSubmitServlet.java  |    1 -
 .../cms/servlet/request/CertReqParser.java         |    6 ---
 .../netscape/cms/servlet/request/CheckRequest.java |    5 +--
 .../cms/servlet/request/ProcessCertReq.java        |    5 ---
 .../netscape/cms/servlet/request/ProcessReq.java   |    7 +---
 .../com/netscape/cms/servlet/request/QueryReq.java |   21 +------------
 .../netscape/cms/servlet/request/SearchReqs.java   |    9 -----
 .../com/netscape/cms/servlet/tks/TokenServlet.java |   18 +---------
 .../src/com/netscape/cmscore/apps/CMSEngine.java   |    4 ++-
 .../authentication/CertUserDBAuthentication.java   |    1 -
 .../ChallengePhraseAuthentication.java             |    4 --
 .../SSLClientCertAuthentication.java               |    2 -
 .../netscape/cmscore/base/SimpleProperties.java    |    7 ----
 .../cmscore/connector/HttpConnFactory.java         |    9 +----
 .../netscape/cmscore/connector/HttpConnector.java  |    1 +
 .../cmscore/connector/RequestTransfer.java         |    2 -
 .../cmscore/dbs/CertificateRepository.java         |    5 ++-
 .../src/com/netscape/cmscore/dbs/DBSubsystem.java  |   17 ----------
 .../src/com/netscape/cmscore/dbs/Repository.java   |    1 -
 .../cmscore/extensions/CMSExtensionsMap.java       |    3 +-
 .../com/netscape/cmscore/extensions/KeyUsage.java  |    7 +---
 .../cmscore/ldapconn/LdapBoundConnection.java      |    3 +-
 .../netscape/cmscore/profile/ProfileSubsystem.java |    3 +-
 .../netscape/cmscore/registry/PluginRegistry.java  |    3 +-
 .../netscape/cmscore/request/RequestSubsystem.java |    3 +-
 .../netscape/cmscore/security/JssSubsystem.java    |    6 ---
 .../cmscore/security/KRATransportCert.java         |    6 ---
 .../com/netscape/cmscore/security/KeyCertUtil.java |    4 --
 .../netscape/cmscore/security/RASigningCert.java   |    6 ---
 .../src/com/netscape/cmscore/security/SSLCert.java |    6 ---
 .../cmscore/security/SSLSelfSignedCert.java        |    6 ---
 .../cmscore/selftests/SelfTestSubsystem.java       |    3 +-
 .../src/com/netscape/cmscore/usrgrp/Group.java     |    3 +-
 .../com/netscape/cmscore/usrgrp/UGSubsystem.java   |    4 --
 .../src/com/netscape/cmscore/usrgrp/User.java      |    3 +-
 .../netscape/cmscore/util/ProfileSubsystem.java    |    2 -
 .../src/com/netscape/cmstools/CMCEnroll.java       |    2 -
 .../src/com/netscape/cmstools/CMCRequest.java      |    2 -
 .../src/com/netscape/cmstools/CMCRevoke.java       |    2 -
 .../src/com/netscape/cmstools/DRMTool.java         |    6 ---
 .../src/com/netscape/cmstools/PasswordCache.java   |    3 --
 .../servlet/test/GeneratePKIArchiveOptions.java    |    1 -
 base/kra/src/com/netscape/kra/EncryptionUnit.java  |    1 -
 .../src/com/netscape/kra/EnrollmentService.java    |   33 ++-----------------
 base/kra/src/com/netscape/kra/KRANotify.java       |    3 +-
 .../src/com/netscape/kra/KeyRecoveryAuthority.java |    1 -
 base/ocsp/src/com/netscape/ocsp/OCSPAuthority.java |    2 -
 base/ocsp/src/com/netscape/ocsp/SigningUnit.java   |    3 +-
 .../src/com/netscape/pkisilent/common/CMSLDAP.java |    2 +-
 .../src/com/netscape/pkisilent/common/CMSTask.java |    1 -
 .../com/netscape/pkisilent/common/ComCrypto.java   |    6 ++-
 .../com/netscape/pkisilent/common/Con2Agent.java   |    7 ++--
 .../com/netscape/pkisilent/common/DirEnroll.java   |    9 +----
 .../src/com/netscape/pkisilent/common/Request.java |   32 +++++++++++++++++--
 .../com/netscape/pkisilent/common/ServerInfo.java  |    1 -
 .../com/netscape/pkisilent/common/TestClient.java  |    2 +-
 .../com/netscape/pkisilent/common/UserEnroll.java  |    2 +-
 .../netscape/pkisilent/common/checkRequest.java    |    5 +--
 base/tks/src/com/netscape/tks/TKSAuthority.java    |    1 +
 .../com/netscape/cmsutil/crypto/CryptoUtil.java    |    4 --
 .../src/com/netscape/cmsutil/ocsp/UnknownInfo.java |    2 -
 .../cmsutil/radius/CHAPPasswordAttribute.java      |    2 -
 .../cmsutil/radius/CallbackIdAttribute.java        |    2 -
 .../cmsutil/radius/CallbackNumberAttribute.java    |    2 -
 .../cmsutil/radius/CallerStationIdAttribute.java   |    2 -
 .../cmsutil/radius/CallingStationIdAttribute.java  |    2 -
 .../netscape/cmsutil/radius/FilterIdAttribute.java |    2 -
 .../radius/FramedAppleTalkLinkAttribute.java       |    2 -
 .../radius/FramedAppleTalkNetworkAttribute.java    |    2 -
 .../radius/FramedAppleTalkZoneAttribute.java       |    2 -
 .../cmsutil/radius/FramedCompressionAttribute.java |    2 -
 .../cmsutil/radius/FramedIPAddressAttribute.java   |    2 -
 .../cmsutil/radius/FramedIPNetmaskAttribute.java   |    2 -
 .../cmsutil/radius/FramedIPXNetworkAttribute.java  |    2 -
 .../cmsutil/radius/FramedMTUAttribute.java         |    2 -
 .../cmsutil/radius/FramedProtocolAttribute.java    |    2 -
 .../cmsutil/radius/FramedRouteAttribute.java       |    2 -
 .../cmsutil/radius/FramedRoutingAttribute.java     |    2 -
 .../cmsutil/radius/LoginIPHostAttribute.java       |    2 -
 .../cmsutil/radius/LoginLATGroupAttribute.java     |    2 -
 .../cmsutil/radius/LoginLATNodeAttribute.java      |    2 -
 .../cmsutil/radius/LoginLATPortAttribute.java      |    2 -
 .../cmsutil/radius/LoginLATServiceAttribute.java   |    2 -
 .../cmsutil/radius/LoginServiceAttribute.java      |    2 -
 .../netscape/cmsutil/radius/NASClassAttribute.java |    2 -
 .../cmsutil/radius/NASIPAddressAttribute.java      |    2 -
 .../cmsutil/radius/NASIdentifierAttribute.java     |    2 -
 .../cmsutil/radius/PortLimitAttribute.java         |    3 --
 .../cmsutil/radius/ProxyStateAttribute.java        |    2 -
 .../com/netscape/cmsutil/radius/RadiusConn.java    |    3 +-
 .../cmsutil/radius/ReplyMessageAttribute.java      |    2 -
 .../cmsutil/radius/ServiceTypeAttribute.java       |    2 -
 .../netscape/cmsutil/radius/StateAttribute.java    |    2 -
 .../cmsutil/radius/VendorSpecificAttribute.java    |    2 -
 .../com/netscape/cmsutil/scep/CRSPKIMessage.java   |    6 +--
 .../extensions/PresenceServerExtension.java        |    1 -
 base/util/src/netscape/security/provider/DSA.java  |    1 +
 .../security/provider/DSAKeyPairGenerator.java     |    8 -----
 .../security/provider/DSAParameterGenerator.java   |    1 -
 base/util/src/netscape/security/provider/MD5.java  |    2 -
 .../netscape/security/util/CertPrettyPrint.java    |    1 -
 .../src/netscape/security/util/ExtPrettyPrint.java |    1 -
 .../src/netscape/security/x509/AlgorithmId.java    |    3 --
 .../src/netscape/security/x509/X500Signer.java     |    2 -
 193 files changed, 134 insertions(+), 624 deletions(-)

diff --git a/base/ca/src/com/netscape/ca/CMSCRLExtensions.java b/base/ca/src/com/netscape/ca/CMSCRLExtensions.java
index bbb4e5f19a4571ba2707bf96cc267639354a3a34..507faa8e892f8df78b806778e81130556c3431a1 100644
--- a/base/ca/src/com/netscape/ca/CMSCRLExtensions.java
+++ b/base/ca/src/com/netscape/ca/CMSCRLExtensions.java
@@ -65,7 +65,8 @@ public class CMSCRLExtensions implements ICMSCRLExtensions {
 
     private ICRLIssuingPoint mCRLIssuingPoint = null;
 
-    private IConfigStore mConfig = null;
+    @SuppressWarnings("unused")
+    private IConfigStore mConfig;
     private IConfigStore mCRLExtConfig = null;
 
     private Vector<String> mCRLExtensionNames = new Vector<String>();
diff --git a/base/ca/src/com/netscape/ca/CRLIssuingPoint.java b/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
index f2ca2026cd03f63fdcd62fc144ea7a9cfc881ced..f93e6e31b7f1d0c31631f4f903caf01d25c06935 100644
--- a/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
+++ b/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
@@ -277,7 +277,6 @@ public class CRLIssuingPoint implements ICRLIssuingPoint, Runnable {
      */
     private Date mLastUpdate;
     private Date mLastFullUpdate;
-    private long mLastScheduledUpdate = 0;
 
     /**
      * Next scheduled CRL update date
@@ -1904,7 +1903,7 @@ public class CRLIssuingPoint implements ICRLIssuingPoint, Runnable {
                 Debug.trace("recoverCRLCache  size=" + list.getSize() + "  index=" + list.getCurrentIndex());
             }
 
-            CertRecProcessor cp = new CertRecProcessor(mCRLCerts, this, mLogger, mAllowExtensions);
+            CertRecProcessor cp = new CertRecProcessor(mCRLCerts, this, mAllowExtensions);
             boolean includeCert = true;
 
             int s = list.getSize() - list.getCurrentIndex();
@@ -2117,7 +2116,7 @@ public class CRLIssuingPoint implements ICRLIssuingPoint, Runnable {
     public void addRevokedCert(BigInteger serialNumber, RevokedCertImpl revokedCert,
                                String requestId) {
 
-        CertRecProcessor cp = new CertRecProcessor(mCRLCerts, this, mLogger, mAllowExtensions);
+        CertRecProcessor cp = new CertRecProcessor(mCRLCerts, this, mAllowExtensions);
         boolean includeCert = true;
         if (cp != null)
             includeCert = cp.checkRevokedCertExtensions(revokedCert.getExtensions());
@@ -2405,7 +2404,7 @@ public class CRLIssuingPoint implements ICRLIssuingPoint, Runnable {
             if (statsSub != null) {
                 statsSub.startTiming("generation");
             }
-            CertRecProcessor cp = new CertRecProcessor(mCRLCerts, this, mLogger, mAllowExtensions);
+            CertRecProcessor cp = new CertRecProcessor(mCRLCerts, this, mAllowExtensions);
             processRevokedCerts(cp);
 
             if (statsSub != null) {
@@ -2956,17 +2955,15 @@ public class CRLIssuingPoint implements ICRLIssuingPoint, Runnable {
 class CertRecProcessor implements IElementProcessor {
     private Hashtable<BigInteger, RevokedCertificate> mCRLCerts = null;
     private boolean mAllowExtensions = false;
-    private ILogger mLogger;
     private CRLIssuingPoint mIP = null;
 
     private boolean mIssuingDistPointAttempted = false;
     private boolean mIssuingDistPointEnabled = false;
     private BitArray mOnlySomeReasons = null;
 
-    public CertRecProcessor(Hashtable<BigInteger, RevokedCertificate> crlCerts, CRLIssuingPoint ip, ILogger logger,
+    public CertRecProcessor(Hashtable<BigInteger, RevokedCertificate> crlCerts, CRLIssuingPoint ip,
             boolean allowExtensions) {
         mCRLCerts = crlCerts;
-        mLogger = logger;
         mIP = ip;
         mAllowExtensions = allowExtensions;
         mIssuingDistPointAttempted = false;
diff --git a/base/ca/src/com/netscape/ca/SigningUnit.java b/base/ca/src/com/netscape/ca/SigningUnit.java
index 85ee1d48211d839a7e9ce9702d8a532f39f67161..2466fb652a46a3b5faede616cb397d18e592f5a0 100644
--- a/base/ca/src/com/netscape/ca/SigningUnit.java
+++ b/base/ca/src/com/netscape/ca/SigningUnit.java
@@ -77,7 +77,8 @@ public final class SigningUnit implements ISigningUnit {
     private ILogger mLogger = CMS.getLogger();
     private IConfigStore mConfig;
 
-    private ISubsystem mOwner = null;
+    @SuppressWarnings("unused")
+    private ISubsystem mOwner;
 
     private String mDefSigningAlgname = null;
     private SignatureAlgorithm mDefSigningAlgorithm = null;
diff --git a/base/common/src/com/netscape/certsrv/base/ASubsystem.java b/base/common/src/com/netscape/certsrv/base/ASubsystem.java
index 2751089266457106f2495520033c5e4598a73fa4..dfaba5a61321a3780d9884ffc8e376b384a6f0f4 100644
--- a/base/common/src/com/netscape/certsrv/base/ASubsystem.java
+++ b/base/common/src/com/netscape/certsrv/base/ASubsystem.java
@@ -26,6 +26,7 @@ package com.netscape.certsrv.base;
  */
 public abstract class ASubsystem implements ISubsystem {
 
+    @SuppressWarnings("unused")
     private ISubsystem mParent;
     private IConfigStore mCfg;
     private String mId;
diff --git a/base/common/src/com/netscape/certsrv/request/ARequestNotifier.java b/base/common/src/com/netscape/certsrv/request/ARequestNotifier.java
index ac57c131322947778d5a136606e33c06130b8f49..ba3d9f2939f5ce96f0ea8b921785d1b5986c958e 100644
--- a/base/common/src/com/netscape/certsrv/request/ARequestNotifier.java
+++ b/base/common/src/com/netscape/certsrv/request/ARequestNotifier.java
@@ -45,7 +45,6 @@ public class ARequestNotifier implements IRequestNotifier {
     private ICertificateAuthority mCA = null;
     private boolean mIsPublishingQueueEnabled = false;
     private int mPublishingQueuePriority = 0;
-    private int mMaxPublishingQueuePageSize = 1;
     private IRequestQueue mRequestQueue = null;
     private String mPublishingStatus = null;
     private int mSavePublishingStatus = 0;
diff --git a/base/common/src/com/netscape/cms/authentication/AVAPattern.java b/base/common/src/com/netscape/cms/authentication/AVAPattern.java
index 823b396e9c51272323129b8b20b85148b2ef8d0f..3e984c0ccb9d6167effbc96729eb41c7854b4373 100644
--- a/base/common/src/com/netscape/cms/authentication/AVAPattern.java
+++ b/base/common/src/com/netscape/cms/authentication/AVAPattern.java
@@ -130,8 +130,6 @@ class AVAPattern {
     public static final String TYPE_RDN = "$rdn";
     public static final String TYPE_CONSTANT = "constant";
 
-    private static final char[] endChars = new char[] { '+', ',' };
-
     private static final LdapV3DNStrConverter mLdapDNStrConverter =
             new LdapV3DNStrConverter();
 
diff --git a/base/common/src/com/netscape/cms/authentication/AgentCertAuthentication.java b/base/common/src/com/netscape/cms/authentication/AgentCertAuthentication.java
index b8216d6bc564ef4b6e9a1f2ce93740fc1d60cc61..c65dd397148c989fd9aa4d0e1e4ae7faf735342d 100644
--- a/base/common/src/com/netscape/cms/authentication/AgentCertAuthentication.java
+++ b/base/common/src/com/netscape/cms/authentication/AgentCertAuthentication.java
@@ -35,7 +35,6 @@ import com.netscape.certsrv.authentication.ISSLClientCertProvider;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.SessionContext;
-import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.profile.EProfileException;
 import com.netscape.certsrv.profile.IProfile;
 import com.netscape.certsrv.profile.IProfileAuthenticator;
@@ -78,10 +77,6 @@ public class AgentCertAuthentication implements IAuthManager,
 
     private IUGSubsystem mUGSub = null;
     private ICertUserLocator mCULocator = null;
-    private ILogger mLogger = CMS.getLogger();
-
-    private IConfigStore mRevocationChecking = null;
-    private String mRequestor = null;
 
     public AgentCertAuthentication() {
     }
diff --git a/base/common/src/com/netscape/cms/authentication/HashAuthentication.java b/base/common/src/com/netscape/cms/authentication/HashAuthentication.java
index b9808e639baf6773a046fe8387bd59d957eb03e8..9ebf8a7c0e3953f3d3b7ab305087d3f413a87609 100644
--- a/base/common/src/com/netscape/cms/authentication/HashAuthentication.java
+++ b/base/common/src/com/netscape/cms/authentication/HashAuthentication.java
@@ -55,12 +55,7 @@ public class HashAuthentication implements IAuthManager, IExtendedPluginInfo {
     protected static String[] mRequiredCreds = { CRED_UID,
             CRED_PAGEID, CRED_FINGERPRINT, CRED_HOST };
     public static final long DEFAULT_TIMEOUT = 600000;
-    private boolean mEnable = false;
-    private long mTimeout = DEFAULT_TIMEOUT; // in milliseconds
-    private String mSecret;
-    private int mPageID;
-    private String mHost;
-    private long mLastLogin = 0;
+
     private MessageDigest mSHADigest = null;
     private Hashtable<String, IAuthToken> mData = null;
     private IConfigStore mConfig;
diff --git a/base/common/src/com/netscape/cms/authentication/SSLclientCertAuthentication.java b/base/common/src/com/netscape/cms/authentication/SSLclientCertAuthentication.java
index dbae4a1ca483026486bca67241b70bfada0d812a..2bec1b68d183b6a40a25ab0b797b851ff25ab44f 100644
--- a/base/common/src/com/netscape/cms/authentication/SSLclientCertAuthentication.java
+++ b/base/common/src/com/netscape/cms/authentication/SSLclientCertAuthentication.java
@@ -38,7 +38,6 @@ import com.netscape.certsrv.authentication.ISSLClientCertProvider;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.SessionContext;
-import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.profile.EProfileException;
 import com.netscape.certsrv.profile.IProfile;
 import com.netscape.certsrv.profile.IProfileAuthenticator;
@@ -73,11 +72,6 @@ public class SSLclientCertAuthentication implements IAuthManager,
     private String mImplName = null;
     private IConfigStore mConfig = null;
 
-    private ILogger mLogger = CMS.getLogger();
-
-    private IConfigStore mRevocationChecking = null;
-    private String mRequestor = null;
-
     public SSLclientCertAuthentication() {
     }
 
diff --git a/base/common/src/com/netscape/cms/authentication/TokenAuthentication.java b/base/common/src/com/netscape/cms/authentication/TokenAuthentication.java
index 10cb942995e21d011de81c9943b40d4098a0be7c..923b0501996bc68f3fce10159e7391c3a6989856 100644
--- a/base/common/src/com/netscape/cms/authentication/TokenAuthentication.java
+++ b/base/common/src/com/netscape/cms/authentication/TokenAuthentication.java
@@ -32,13 +32,11 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.SessionContext;
-import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.profile.EProfileException;
 import com.netscape.certsrv.profile.IProfile;
 import com.netscape.certsrv.profile.IProfileAuthenticator;
 import com.netscape.certsrv.property.IDescriptor;
 import com.netscape.certsrv.request.IRequest;
-import com.netscape.certsrv.usrgrp.IUGSubsystem;
 import com.netscape.cmsutil.http.HttpClient;
 import com.netscape.cmsutil.http.HttpRequest;
 import com.netscape.cmsutil.http.HttpResponse;
@@ -70,9 +68,6 @@ public class TokenAuthentication implements IAuthManager,
     private String mImplName = null;
     private IConfigStore mConfig = null;
 
-    private IUGSubsystem mUGSub = null;
-    private ILogger mLogger = CMS.getLogger();
-
     public TokenAuthentication() {
     }
 
@@ -90,8 +85,6 @@ public class TokenAuthentication implements IAuthManager,
         mName = name;
         mImplName = implName;
         mConfig = config;
-
-        mUGSub = (IUGSubsystem) CMS.getSubsystem(CMS.SUBSYSTEM_UG);
     }
 
     /**
diff --git a/base/common/src/com/netscape/cms/authentication/UidPwdPinDirAuthentication.java b/base/common/src/com/netscape/cms/authentication/UidPwdPinDirAuthentication.java
index 65cf756518bab1e59487d8b210bdf988b4ec00c7..9e551966c3307f9b4a358c7ebd7dc60ed15b1f38 100644
--- a/base/common/src/com/netscape/cms/authentication/UidPwdPinDirAuthentication.java
+++ b/base/common/src/com/netscape/cms/authentication/UidPwdPinDirAuthentication.java
@@ -133,9 +133,6 @@ public class UidPwdPinDirAuthentication extends DirBasedAuthentication
     protected MessageDigest mSHADigest = null;
     protected MessageDigest mMD5Digest = null;
 
-    private String mBindDN = null;
-    private String mBindPassword = null;
-
     private ILdapConnFactory removePinLdapFactory = null;
     private LDAPConnection removePinLdapConnection = null;
     private IConfigStore removePinLdapConfigStore = null;
diff --git a/base/common/src/com/netscape/cms/authorization/BasicAclAuthz.java b/base/common/src/com/netscape/cms/authorization/BasicAclAuthz.java
index dae24678d3cebd1e17d604deb4375cf2cb265195..729b017d80af31b91a7bde1675ce4602f7fbe5da 100644
--- a/base/common/src/com/netscape/cms/authorization/BasicAclAuthz.java
+++ b/base/common/src/com/netscape/cms/authorization/BasicAclAuthz.java
@@ -47,6 +47,7 @@ public class BasicAclAuthz extends AAclAuthz
     private String mImplName = null;
 
     /* configuration store */
+    @SuppressWarnings("unused")
     private IConfigStore mConfig;
 
     /* the system logger */
@@ -54,8 +55,6 @@ public class BasicAclAuthz extends AAclAuthz
 
     protected static final String PROP_BASEDN = "basedn";
 
-    private static boolean needsFlush = false;
-
     static {
         mExtendedPluginInfo.add("nothing for now");
     }
@@ -174,10 +173,7 @@ public class BasicAclAuthz extends AAclAuthz
         try {
             super.updateACLs(id, rights, strACLs, desc);
             //            flushResourceACLs();
-            needsFlush = false;
         } catch (EACLsException ex) {
-            // flushing failed, set flag
-            needsFlush = true;
 
             log(ILogger.LL_FAILURE, CMS.getLogMessage("AUTHZ_EVALUATOR_FLUSH_RESOURCES", ex.toString()));
 
diff --git a/base/common/src/com/netscape/cms/evaluators/UserOrigReqAccessEvaluator.java b/base/common/src/com/netscape/cms/evaluators/UserOrigReqAccessEvaluator.java
index d3f004619c3b5710fb450610a3b172678575b453..65032608c31f098357bcbe5165cdda78543df0c7 100644
--- a/base/common/src/com/netscape/cms/evaluators/UserOrigReqAccessEvaluator.java
+++ b/base/common/src/com/netscape/cms/evaluators/UserOrigReqAccessEvaluator.java
@@ -21,7 +21,6 @@ import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.SessionContext;
 import com.netscape.certsrv.evaluators.IAccessEvaluator;
-import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.usrgrp.IUser;
 import com.netscape.cmsutil.util.Utils;
 
@@ -38,7 +37,6 @@ import com.netscape.cmsutil.util.Utils;
 public class UserOrigReqAccessEvaluator implements IAccessEvaluator {
     private String mType = "user_origreq";
     private String mDescription = "user origreq matching evaluator";
-    private ILogger mLogger = CMS.getLogger();
 
     private final static String ANYBODY = "anybody";
     private final static String EVERYBODY = "everybody";
diff --git a/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java b/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
index 2f1d479a4dff865ceb311c46697f6dab0c57f3f2..37c0e918b6a94599ae0af5bc02f0e36f20c61893 100644
--- a/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
+++ b/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
@@ -191,7 +191,6 @@ public class RenewalNotificationJob
     private long mPreMS = 0;
     private int mPostDays = 0;
     private long mPostMS = 0;
-    private int mMaxNotifyCount = 1;
     private String[] mProfileId = null;
 
     /**
diff --git a/base/common/src/com/netscape/cms/listeners/PinRemovalListener.java b/base/common/src/com/netscape/cms/listeners/PinRemovalListener.java
index 2f82307f21a3a646413d22cd70789b9421748d98..21d69e29d21ce6c7d238a061b29569834bcb3670 100644
--- a/base/common/src/com/netscape/cms/listeners/PinRemovalListener.java
+++ b/base/common/src/com/netscape/cms/listeners/PinRemovalListener.java
@@ -33,7 +33,6 @@ import com.netscape.certsrv.ldap.ILdapConnFactory;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.IRequestListener;
-import com.netscape.certsrv.request.RequestId;
 
 /**
  * This represnets a listener that removes pin from LDAP directory.
@@ -56,7 +55,6 @@ public class PinRemovalListener implements IRequestListener {
 
     private IConfigStore mConfig = null;
     private IConfigStore mLdapConfig = null;
-    private RequestId mReqId = null;
     private ILdapConnFactory mConnFactory = null;
     private LDAPConnection mRemovePinLdapConnection = null;
 
@@ -111,8 +109,6 @@ public class PinRemovalListener implements IRequestListener {
         if (mEnabled != true)
             return;
 
-        mReqId = r.getRequestId();
-
         String rs = r.getRequestStatus().toString();
 
         CMS.debug("PinRemovalListener: Request status: " + rs);
diff --git a/base/common/src/com/netscape/cms/logging/LogFile.java b/base/common/src/com/netscape/cms/logging/LogFile.java
index 95d4b34bf0383ae50d22eee05a628c1da8ec3fb8..caada0bf5177f147a329550b5c45f1540a90427e 100644
--- a/base/common/src/com/netscape/cms/logging/LogFile.java
+++ b/base/common/src/com/netscape/cms/logging/LogFile.java
@@ -685,8 +685,6 @@ public class LogFile implements ILogEventListener, IExtendedPluginInfo {
         return mFileName;
     }
 
-    private boolean firstOpen = true;
-
     /**
      * Record that the signed audit log has been signed
      * <P>
diff --git a/base/common/src/com/netscape/cms/logging/RollingLogFile.java b/base/common/src/com/netscape/cms/logging/RollingLogFile.java
index d420f547dd6c0b4c614ab0d3cdcb836fcd27e94a..0a7a9f0986a6052877178ecc1b09b0043155d868 100644
--- a/base/common/src/com/netscape/cms/logging/RollingLogFile.java
+++ b/base/common/src/com/netscape/cms/logging/RollingLogFile.java
@@ -83,11 +83,6 @@ public class RollingLogFile extends LogFile {
     private Thread mRolloverThread = null;
 
     /**
-     * The incrementing backup number for the log file names
-     */
-    private int mFileNumber = 1;
-
-    /**
      * The amount of time before a backed up log is removed in milliseconds
      */
     protected long mExpirationTime = 0;
@@ -211,13 +206,11 @@ public class RollingLogFile extends LogFile {
     }
 
     /**
-     * Rotate the log file to a backup file with a incrementing integer
-     * extension
+     * Rotate the log file to a backup file with timestamp
      **/
     public synchronized void rotate()
             throws IOException {
 
-        //File backupFile = new File(mFileName + "." + mFileNumber);
         File backupFile = new File(mFileName + "." + mLogFileDateFormat.format(mDate));
 
         // close, backup, and reopen the log file zeroizing its contents
@@ -273,7 +266,6 @@ public class RollingLogFile extends LogFile {
                      + backupFile.toString());
         }
         super.open(); // will reset mBytesWritten
-        mFileNumber++;
     }
 
     /**
